s10_level_hints.levels["Level 11"] = function()
	return
	{
		miniscenes
		({
			level11_scene01 = 
			{
				on_scene("level11_scene02", click("gui_amulet_present"))
			},
			
			level11_scene02 = 
			{
				on_scene("level11_scene01", click("gui_amulet_past"))
			},
			
			level11_miniscene_solders = 
			{
				miniscene("area_solders")
			},
			
			level11_miniscene_map = 
			{
				IF(state("roll01", "roll01_2"), miniscene("roll01"))
			},
			
			level11_miniscene_drawer = 
			{
				miniscene("area_case")
			}
		}),
		
		-- собрать куски бумаги и посмотреть
		on_scene("level11_scene02",
		{
			take("paper01"),
			take("paper02"),
			take("paper03"),
			click("socket"),
			IF( {state("stand", "stand02"), state_in_inv("paper_inv", "paper_inv03")}, click("stand", "paper_inv"))
		}),
		
		on_scene("level11_scene01",
		{
		-- кол-во солдат
			IF(NOT(task_completed(4)), miniscene("area_solders")),
		-- кол-во комнат
			IF(NOT(task_completed(5)), 
			{
				IF(state("roll01", "roll01_1"), click("roll01")),
				IF(state("roll01", "roll01_2"), miniscene("roll01"))
			}),
			
		-- очистить бляху
			take("plate")
		}),
		
		on_scene("level11_scene02", take("rag")),
		on_scene("level11_scene01", IF(state("lever", "lever01"), click("lever"))),
		on_scene("level11_scene02", take("glue")),
		on_scene("level11_scene01", click("lever", "lever_with_glue")),
		on_scene("level11_scene02", 
		{
			take("eyepiece"),
			click("microscope", "eyepiece"),
			IF({state("microscope", "microscope02"), NOT(task_completed(8))}, click("microscope", "plate_clear")),
			IF(state("microscope", "microscope03"), take("plate_clear"))
		}),
		-- кол-во узников
		on_scene("level11_scene01", 
		{
			IF(state("microscope", "microscope02"), click("stone", "plate_clear")),
			IF(NOT(task_completed(10)), miniscene("area_roll02"))
		}),
		
		-- отпечаток пальца
		on_scene("level11_scene02", take("bowl")),
		on_scene("level11_scene01", click("area_ashes", "bowl")),
		on_scene("level11_scene02", IF(state("drawer", "drawer01"), click("area_drawer"))),
		on_scene("level11_miniscene_drawer",
		{
			take("brush"),
			take("knife")
		}),
		on_scene("level11_scene02", 
		{
			click("area_scotch", "knife"),
			click("glass", "brush_ashes"),
			IF(state("glass", "glass02"), click("glass", "scotch_inv")),
			click("safe", "scotch_with_print"),
		-- код
			IF(state("safe", "safe02"), minigame("safe")),
		-- открыть дверь с Алабамой
			IF(state("safe", "safe03"), take("acid", "safe"))
		}),
		
		on_scene("level11_scene01", 
		{
			click("area_lock", "acid"),
			IF(state("lattice_right", "lattice_right02"), end_level("lattice_right"))
		})
	}
end
